<?php
/**
 * @package MAIL_LINK
 * @copyright Copyright (C) 2010 Majunke Michael <http://www.mmajunke.de>. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see <http://www.gnu.org/licenses/>.
**/
defined( '_JEXEC' ) or die( 'Restricted access' );

// ACL Instanz holen
$acl = JFactory::getACL();
// User
$user = & JFactory::getUser();

$task	= JRequest::getCmd( 'task' );
if ( 'filebrowser' == $task ) {
  // Fr Registrierte erlauben
  // $acl->addACL( 'com_maillink', 'showFiles', 'users', 'registered');
  $acl->addACL( 'com_maillink', 'showFiles', 'users', 'author' );
  $acl->addACL( 'com_maillink', 'showFiles', 'users', 'editor' );
  $acl->addACL( 'com_maillink', 'showFiles', 'users', 'publisher' );
  $acl->addACL( 'com_maillink', 'showFiles', 'users', 'manager' );
  $acl->addACL( 'com_maillink', 'showFiles', 'users', 'administrator');
  $acl->addACL( 'com_maillink', 'showFiles', 'users', 'super administrator');
  if (!$user->authorize( 'com_maillink', 'showFiles' )) {
  	$mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
  }
}
if ( 'fileUpload' == $task || 'fileDel' == $task ) {
  // Fr Registrierte erlauben
  // $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'registered');
  $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'author' );
  $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'editor' );
  $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'publisher' );
  $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'manager' );
  $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'administrator');
  $acl->addACL( 'com_maillink', 'fileUpload', 'users', 'super administrator');
  if (!$user->authorize( 'com_maillink', 'fileUpload' )) {
  	$mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
  }
}
else {
  $acl->addACL( 'com_maillink', 'manage', 'users', 'administrator');
  $acl->addACL( 'com_maillink', 'manage', 'users', 'super administrator');
  if (!$user->authorize( 'com_maillink', 'manage' )) {
  	$mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
  }
}

// Require the base controller
require_once( JPATH_COMPONENT.DS.'controller.php' );

// Require specific controller if requested
if($controller = JRequest::getWord('controller')) {
    $path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
    if (file_exists($path)) {
        require_once $path;
    } else {
        $controller = '';
    }
}

// Create the controller
$classname    = 'MaillinkAdminController'.$controller;
$controller   = new $classname( );

// Perform the Request task
$controller->execute( JRequest::getWord( 'task' ) );

// Redirect if set by the controller
$controller->redirect();

?>
