<?php
/**
 * @package MAIL_LINK
 * @copyright Copyright (C) 2010 Majunke Michael <http://www.mmajunke.de>. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see <http://www.gnu.org/licenses/>.
**/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * Model
 *
 *
 */
class MaillinkAdminModelFilebrowser extends JModel
{
    function getFilenames()
    {

        //
        $config		= &JComponentHelper::getParams( 'com_maillink' );
		$downloadRoot	= $config->get( 'folder' );

	    if ( empty($downloadRoot ) ){
		  $downloadRoot = JPATH_SITE . DS. 'maillink' ;
        }
        else {
          $downloadRoot = JPATH_SITE . DS. $downloadRoot ;
        }

        //
        jimport('joomla.filesystem.file');

        if ( !JFolder::exists( $downloadRoot ) ) {
            JError::raiseWarning(200, JText::_('DOCUMENT_ROOT_FOLDER_NOT_EXIST' ) ); // TODO Language
            return null ;
        }


        $files['.'] = array( 'files' => JFolder::files( $downloadRoot, '.', false, false, array('index.html') ) );
        $files = array_merge($files, $this->listFolders( $downloadRoot, $downloadRoot ) );

        return $files;
        //return JFolder::files( $downloadRoot ); // , $filter = '.', $recurse, $fullpath , $exclude);

    }

    function getEditor(){
      return JRequest::getString('e_name') ;
    }


    private  function listFolders($root , $path)
    {
       $dirs = array();
       $folders = JFolder::folders($path);
       // first path, index foldernames
       foreach ($folders as $name) {
           $fullName = JPath::clean($path . DS . $name);
           $dirs[ str_replace($root, '', $fullName) ] = array(
               'name' => $name,
               'files' => JFolder::files($fullName , '.', false, false, array('index.html'))
           );
           $dirs = array_merge($dirs, $this->listFolders($root,$fullName));
           // $dirs2 = JFolder::listFolderTree($fullName, $filter, $maxLevel, $level + 1, $id);
           // $dirs = array_merge($dirs, $dirs2);
       }
       return $dirs;
   }

}

?>