<?php
/**
 * @package MAIL_LINK
 * @copyright Copyright (C) 2010 Majunke Michael <http://www.mmajunke.de>. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see <http://www.gnu.org/licenses/>.
**/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.filesystem.folder' );
jimport('joomla.filesystem.file');

function com_install()
{
	//
	$documentRN = 'maillink';
	$documentRoot	= 	JPATH_ROOT . DS . $documentRN;

	$message = '';
	if (!JFolder::exists( $documentRoot ))
	{
		if (JFolder::create( $documentRoot, 0755 ))
		{
			@JFile::write( $documentRoot . DS . "index.html", "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
			$message .= '<p><b><span style="color:#009933">Folder</span> ' .
                   $documentRN
					      .' <span style="color:#009933"> created!</span></b></p>';
		}
		else
		{
			$message .= '<p><b><span style="color:#CC0033">Folder</span> ' .
                  $documentRN
					     .' <span style="color:#CC0033"> creation failed!</span></b> Please create it manually.</p>';
		}
	}
	else
	{
		$message .= '<p><b><span style="color:#009933">Folder</span> ' .
                $documentRN
					   .' <span style="color:#009933"> allready exists!</span></b></p>';
	}
	$message .= '<p><small>( You can change the Document-Folder in Settings. )</small></p>';

?>
  <div style="padding:10px;border:1px solid #aabb00;background:#fff">
    <p>COM_MAILLINK Installation...</p>
		<?php echo $message; ?>
		<p>...COM_MAILLINK Installation done.</p>
  </div>
  <p></p>
  <div style="padding:10px;border:1px solid #aabb00;background:#fff">
  	<p>Changelog:</p>
	<?php include JPATH_ROOT . DS . 'components' . DS . 'com_maillink' . DS  . 'changelog.php'; ?>
  </div>

	<p>&nbsp;</p>
	<p><center><a style="text-decoration:underline" href="http://www.mmajunke.de/" target="_blank">http://www.mmajunke.de/</a></center></p>
<?php
}
?>