<?php
/**
 * @package MAIL_LINK
 * @copyright Copyright (C) 2010 Majunke Michael <http://www.mmajunke.de>. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see <http://www.gnu.org/licenses/>.
**/
defined('_JEXEC') or die('Restricted access'); ?>

<div style="padding:5px;margin:10px">
<fieldset class="adminform">
<legend><?php echo JText::_( 'UPLOAD' ); ?></legend>
  <form name="fileUpload"
        action="index.php"
        enctype="multipart/form-data"
        method="post"
        onSubmit="if(data_fileUpload.value=='') {alert('Please Choose a File !');return false;}">
    <input type="hidden" name="option" value="com_maillink" />
    <input type="hidden" name="task" value="fileUpload" />
    <input type="hidden" name="tmpl" value="component" />
    <input type="hidden" name="e_name" value="<?php echo $this->editor; ?>" />

    <table width="100%">
      <!-- -->
      <tr>
          <td colspan="2"><?php echo JText::_('CHOOSE_DESTINATION_FOLDER'); ?><td>
      </tr>
      <tr>
        <td colspan="2">
          <?php if ( empty($this->filenames) || count($this->filenames) <= 1 ){ ?>
            <select name="dest_fileUpload" size="1" >
            	<option selected>.</option>
            </select>
          <?php } else { ?>
            <select name="dest_fileUpload" size="1" >
              <?php foreach ($this->filenames as $folderName => $folders ) { ?>
                <?php if ( '.' == $folderName ) { ?>
                  <option selected><?php echo $folderName ;?></option>
                <?php } else { ?>
                  <option><?php echo $folderName ;?></option>
              <?php }
                  } ?>
            </select>

          <?php } ?>
        </td>
  	  </tr>

      <tr>
          <td colspan="2"><?php echo JText::_('CREATE_NEW_FOLDER'); ?><td>
      </tr>
      <tr>
        <td colspan="2">
           <input type="text" name="newFolder_fileUpload" value="" />
        </td>
      <tr>

      <!-- -->
      <tr>
          <td colspan="2"><?php echo JText::_('CHOOSE_FILE'); ?><td>
      </tr>
      <tr>
        <td>
            <input type="file" name="data_fileUpload" size="35" />
        </td>
        <td>
            <input name="<?php echo JText::_('UPLOAD'); ?>" type="submit" value="<?php echo JText::_('UPLOAD'); ?>" />
        </td>
  	  </tr>
    </table>
	</form>
</fieldset>
</div>
<div style="padding:5px;margin:10px">

  <form action="index.php" id="delForm" name="delForm">
    <input type="hidden" name="option" value="com_maillink" />
    <input type="hidden" name="task" value="fileDel" />
    <input type="hidden" name="tmpl" value="component" />
    <input type="hidden" name="e_name" value="<?php echo $this->editor; ?>" />
    <input type="hidden" name="dest_fileDel" value="" />

<fieldset class="adminform">
<legend><?php echo JText::_( 'File' ); ?></legend>

	  <table class="admintable" width="100%" >
<?php
if ( !empty($this->filenames) ){

  foreach ($this->filenames as $folderName => $folders ) {

    foreach ( $folders['files'] as $file ) {

    $fileToInsert = $file;
    if ( $folderName != '.' ){
       $fileToInsert = $folderName . DS . $file;
    }
    $fileToInsert = str_replace( '\\' , '\\\\' , $fileToInsert );

?>
  <tr>
	      <td class="key" align="left" nowrap="nowrap">
        	 <label for="title" nowrap="nowrap">
	           <?php echo $folderName; ?>
	         </label>
        </td>
	      <td class="key" align="left" nowrap="nowrap">
        	 <label for="title" nowrap="nowrap">
	           <?php echo $file; ?>
	         </label>
        </td>
	      <td class="title" width="10%" align="left" nowrap="nowrap">
          <button type="button" onclick="window.parent.jInsertEditorText( '{maillink file=&quot;<?php echo $fileToInsert; ?>&quot;}', '<?php echo $this->editor; ?>'); window.parent.document.getElementById('sbox-window').close();">
              <?php echo JText::_('CHOOSE') ?>
          </button>

          <button type="submit" onclick="document.forms['delForm'].elements['dest_fileDel'].value = '<?php echo $fileToInsert; ?>';">
              <?php echo JText::_('DELETE'); ?>
          </button>

	      </td>
  </tr>
<?php
    }
  }
}
?>
	  </table>

</fieldset>
  </form>

</div>